Home Forums Weaver II Theme Weaver II PHP Error on Website

Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #19980
    montythefool
    Participant

    I think I have a conflict somewhere on my site.  NOt sure whether a plug in is not compatible with Weaver?

    But when I try to load my site I get  this error:


    Warning: Cannot modify header information – headers already sent
    by (output started at
    /websites/123reg/LinuxPackage98/th/ef/oo/thefoolmonty.co.uk/public_html/bllog/wp-content/themes/weaver-ii/functions.php:2549)
    in /websites/123reg/LinuxPackage98/th/ef/oo/thefoolmonty.co.uk/public_html/bllog/wp-includes/pluggable.php on line 1179

    I’ve uploaded a backed up version of the pluggable.php and can’t see anything wrong with the Functions.php but am hoping someone can help.

    #32818
    scrambler
    Moderator

    I will let @weaver comment on the error message as he is more qualified.

    But you really need to think about upgrading to Xtreme. Weaver II is now seriously obsolete, and more issues are bound to creep in over time.

    Converting a Weaver II (Pro) or Aspen site to Weaver Xtreme

    Also make sure you are on the last Weaver II version (2.2.3)

    #32819
    Weaver
    Keymaster

    This is one of those low priority issues – in this case, it is a probably a PHP 7 compatibility issue.

    But specifically, this error is visible because you must have WP_DEBUG true in config.php.

    New compatibility updates will be issued soon.

    #32820
    Weaver
    Keymaster

    Weaver II Pro and Weaver II have been updated to 2.2.4 to remove the PHP 7 compatibility issues.

    Get Weaver II Pro here: https://pro.weavertheme.com and then Log In.

    Get Weaver II free here: https://weavertheme.com/download/?category=1

    BUT EVEN BETTER! Switch to Weaver Xtreme. Weaver II is seriously outdated, and really can’t create modern looking websites the way Weaver Xtreme can.

    See this: https://guide.weavertheme.com/converting-a-weaver-ii-pro-or-aspen-site-to-weaver-xtreme/

    #32821
    bochat
    Participant

    The page for updating weaver II pro doesn’t exist (404)  🙁

    #32822
    Weaver
    Keymaster

    Sorry. It has been fixed. Try again.

Viewing 6 posts - 1 through 6 (of 6 total)
  • The forum ‘ Weaver II Theme’ is closed to new topics and replies.